Main Page Class Hierarchy Compound List File List Compound Members File Members

# earthworm_simple_funcs.h File Reference

Go to the source code of this file.

## Functions
long | GetKey (char *)
int | GetInst (char *, unsigned char *)
int | GetModId (char *, unsigned char *)
int | GetType (char *, unsigned char *)
int | GetLocalInst (unsigned char *)
void | GetUtil_LoadTable (void)
void | logit_init (char *, short, int, int)
void | html_logit (char *, char *,...)
void | logit (char *, char *,...)
int | get_prog_name (char *, char *)
int | SendMail (char[][60], int, char *, char *, char *, char *, char *, char *)
int | copyfile (char *, char *, char *, char *, char *, char *, char *)
int | chdir_ew (char *)
int | CreateDir (char *)
int | RecursiveCreateDir (char *)
int | GetFileName (char *)
int | rename_ew (char *, char *)
int | GetDiskAvail (unsigned *)
int | getsysname_ew (char *, int)
int | SendPage (char *)
void | sleep_ew (unsigned)
int | pipe_init (char *, unsigned long)
int | pipe_put (char *, int)
int | pipe_get (char *, int, int *)
void | pipe_close (void)
int | geo_to_km (double lat1, double lon1, double lat2, double lon2, double *dist, double *azm)
int | geo_to_km_deg (double lat1, double lon1, double lat2, double lon2, double *dist, double *xdeg, double *azm)

## Function Documentation

int chdir_ew | ( | char * |  | ) |

| Definition at line 49 of file dirops_ew.c.

int copyfile | ( | char * | ,
|  | char * | ,
|  | char * | ,
|  | char * | ,
|  | char * | ,
|  | char * | ,
|  | char * |
| ) |

| Definition at line 45 of file copyfile.c.

int CreateDir | ( | char * |  | ) |

| Definition at line 71 of file dirops_ew.c. References EW_FAILURE, EW_SUCCESS, and logit(). Referenced by AHPA_init(), AHPA_next_ev(), GSEPA_init(), open_seisan_file(), RecursiveCreateDir(), SACPABase_init(), SACPABase_next_ev(), SEIPA_init(), SUDSPA_init(), and TANKPA_init().

int geo_to_km | ( | double | lat1,
|  | double | lon1,
|  | double | lat2,
|  | double | lon2,
|  | double * | dist,
|  | double * | azm
| ) |

| Definition at line 7 of file geo_to_km.c.

int geo_to_km_deg | ( | double | lat1,
|  | double | lon1,
|  | double | lat2,
|  | double | lon2,
|  | double * | dist,
|  | double * | xdeg,
|  | double * | azm
| ) |

| Definition at line 187 of file geo_to_km.c.

int get_prog_name | ( | char * | ,
|  | char * |
| ) |

| Definition at line 650 of file logit.c. References EW_FAILURE, and EW_SUCCESS. Referenced by logit_init().

int GetDiskAvail | ( | unsigned * |  | ) |

| Definition at line 31 of file getavail.c.

int GetFileName | ( | char * |  | ) |

int GetInst | ( | char * | ,
|  | unsigned char * |
| ) |

| Definition at line 201 of file getutil.c. References EW_Installation, GetUtil_LoadTable(), LoadTables, and Max_Installation. Referenced by GetLocalInst().

long GetKey | ( | char * |  | ) |

| Definition at line 107 of file getutil.c. References EW_Ring, GetUtil_LoadTable(), LoadTables, and Max_Ring.

int GetLocalInst | ( | unsigned char * |  | ) |

| Definition at line 149 of file getutil.c. References GetInst(), GetUtil_LoadTable(), and LoadTables.

int GetModId | ( | char * | ,
|  | unsigned char * |
| ) |

| Definition at line 240 of file getutil.c. References EW_Module, GetUtil_LoadTable(), LoadTables, and Max_ModuleId.

int getsysname_ew | ( | char * | ,
|  | int |
| ) |

| Definition at line 27 of file getsysname_ew.c.

int GetType | ( | char * | ,
|  | unsigned char * |
| ) |

| Definition at line 278 of file getutil.c. References EW_Message, GetUtil_LoadTable(), LoadTables, and Max_MessageType. Referenced by tport_buffer().

void GetUtil_LoadTable | ( | void |  | ) |

| Definition at line 314 of file getutil.c. References com, EW_Installation, EW_Message, EW_Module, EW_Ring, FullTablePath, INSTLEN, k_close(), k_err(), k_int(), k_its(), k_long(), k_open(), k_rd(), k_str(), Max_Installation, Max_MessageType, Max_ModuleId, Max_Ring, MAXINSTID, MAXLEN, MAXMODID, MAXMSGTYPE, MAXRING, MODLEN, MSGLEN, nTableFile, and RINGLEN. Referenced by GetInst(), GetKey(), GetLocalInst(), GetModId(), and GetType().

void html_logit | ( | char * | ,
|  | char * | ,
|  | ... |
| ) |

| Definition at line 692 of file logit.c. References bErrorIssuedToStderr, buf, fp, gmtime_ew(), init, logbuffersize, ReleaseSpecificMutex(), RequestSpecificMutex(), and res.

void logit | ( | char * | ,
|  | char * | ,
|  | ... |
| ) |

| Definition at line 396 of file logit.c. References bErrorIssuedToStderr, buf, fp, gmtime_ew(), init, logbuffersize, ReleaseSpecificMutex(), RequestSpecificMutex(), res, and soe. Referenced by accept_ew(), add_item(), AHPA_init(), AHPA_next(), AHPA_next_ev(), AppendDateStr(), ArcMsg2EWEvent(), bind_ew(), BuildDateStr(), buildFacList(), BuildPhs(), BuildTerm(), closesocket_ew(), connect_ew(), ConvertNSNMsg(), CreateDir(), CreateMutex_ew(), CreateSACSupportFiles(), CreateSemaphore_ew(), CreateSpecificMutex(), EWEvent2ArcMsg(), GetNEICStaList(), GetNextLine(), getNextLine(), GlEvt2EWEvent(), gma(), GSEPA_close(), GSEPA_end_ev(), GSEPA_init(), GSEPA_next(), GSEPA_next_ev(), init_pri_queue(), InitEWChan(), InitEWEvent(), k2evt2ew(), listen_ew(), log_strongmotion(), log_strongmotionII(), logit_init(), MatchNeic2SCN(), PA_close(), PA_end_ev(), pa_find_data(), PA_init(), PA_next(), PA_next_ev(), ParseEllipse(), ParseMagnitude(), ParseNSNMsg(), ParsePhase(), ParsePhaseMagnitude(), parseSnippet(), pop_next_item(), PostSemaphore(), printFacList(), ProduceSAC_NextStationForEvent(), read_frame(), read_glevt_phasecard(), read_glevt_sumcard(), read_head(), read_hyp(), read_phs(), read_tag(), RecursiveCreateDir(), recv_all(), recv_ew(), recvfrom_ew(), ReleaseMutex_ew(), ReleaseSpecificMutex(), resetTimeout(), Sac2EWEvent(), SAC_filelist(), SAC_reftime(), SAC_SwapDouble(), SAC_SwapLong(), SAC_SwapShort(), SacHeaderInit(), SACmac_init(), SACmac_quicklook(), SACmac_repick(), SACPA_close(), SACPA_end_ev(), SACPA_init(), SACPA_next(), SACPA_next_ev(), SACPABase_close(), SACPABase_end_ev(), SACPABase_end_scn(), SACPABase_end_scn_gm(), SACPABase_init(), SACPABase_next_ev(), SACPABase_next_ev_review(), SACPABase_next_scn(), SACPABase_SetOutputFormat(), SACPABase_write_amppicks(), SACPABase_write_extinfo(), SACPABase_write_parametric(), SACPABase_write_stainfo(), SACPABase_write_trace(), SEIPA_close(), SEIPA_end_ev(), SEIPA_init(), SEIPA_next(), SEIPA_next_ev(), select_ew(), send_ew(), sendall(), SendPage(), sendto_ew(), socket_ew(), SocketPerror(), SocketSysInit(), StringToAmpLine(), StringToLoc(), StringToPhaseLine(), StructMakeLocal(), SUDSPA_end_ev(), SUDSPA_init(), SUDSPA_next(), SUDSPA_next_ev(), SwapDo(), t_atodbl(), TANKPA_close(), TANKPA_end_ev(), TANKPA_init(), TANKPA_next(), TANKPA_next_ev(), WaitSemPost(), wave_client_setup(), wave_inquire(), wave_request(), write_glevt_phasecard(), write_glevt_sumcard(), WriteSAC_Event_BAD(), WriteSAC_NextStationForEvent(), writetrig_init(), wsAppendMenu(), wsAttachServer(), wsGetServerPSCN(), wsGetTraceAscii(), wsGetTraceBin(), wsParseAsciiHeaderReply(), wsParseBinHeaderReply(), wsParseMenuReply(), wsSearchSCN(), wsWaitAscii(), and wsWaitBinHeader().

void logit_init | ( | char * | ,
|  | short | ,
|  | int | ,
|  | int |
| ) |

| Definition at line 198 of file logit.c. References buf, CreateSpecificMutex(), disk, EW_SUCCESS, fp, get_prog_name(), gmtime_ew(), init, logbuffersize, logit(), pid, res, and soe. Referenced by main().

void pipe_close | ( | void |  | ) |

| Definition at line 177 of file pipe.c.

int pipe_get | ( | char * | ,
|  | int | ,
|  | int * |
| ) |

| Definition at line 116 of file pipe.c. References type.

int pipe_init | ( | char * | ,
|  | unsigned | long
| ) |

| Definition at line 36 of file pipe.c. References Pipe.

int pipe_put | ( | char * | ,
|  | int |
| ) |

| Definition at line 53 of file pipe.c.

int RecursiveCreateDir | ( | char * |  | ) |

| Definition at line 121 of file dirops_ew.c. References CreateDir(), EW_FAILURE, EW_SUCCESS, logit(), and MAX_DIR_LEN.

int rename_ew | ( | char * | ,
|  | char * |
| ) |

| Definition at line 261 of file dirops_ew.c. Referenced by GSEPA_end_ev().

int SendMail | ( | char | [][60],
|  | int | ,
|  | char * | ,
|  | char * | ,
|  | char * | ,
|  | char * | ,
|  | char * | ,
|  | char * |
| ) |

| Definition at line 56 of file sendmail.c. References BUFFSIZE, and Sender.

int SendPage | ( | char * |  | ) |

| Definition at line 39 of file sendpage.c. References logit().

void sleep_ew | ( | unsigned |  | ) |

| Definition at line 22 of file sleep_ew.c. Referenced by accept_ew(), recv_all(), recv_ew(), recvfrom_ew(), send_ew(), sendto_ew(), wsWaitAscii(), and wsWaitBinHeader().